error = 1;					// puts error if the value isn't changed to error = 0

if (strcmp (command,"") == 0)			// no command entered
{
	error = 0;
}

if (strcmp (command,"ver") == 0)		// tells us Ti-Dos version
{
	printf ("%s\n","Ti-Dos by Zaz ver 0.1.55");
	error = 0;
}

if (strcmp (command,"cls") == 0)		// cls command = clears screen and resets pen pos
{
	clrscr();
	error = 0;
}

if (strcmp (command,"exit") == 0)		// quits Ti-Dos
{
	exit(0);
	error = 0;
}

if (strcmp (command,"off") == 0)			// turns off the calc
{
	off();
	error = 0;
}

if (strcmp (command,"dir") == 0)			// list of folder and var in directory
{
	#include "dirfunc.c"			// function itself
	error = 0;
}

if (strstr (command,"cd ") != 0 || strstr (command,"cd.") != 0)	// gets you in the selected folder
{
	namestr = strstr (command," ") + 1;
	if (strcmp (command,"cd..") == 0 || strcmp (namestr,"..") == 0)
		error = FolderCur ($(root),FALSE);	// puts root as main folder
	else
		error = FolderCur (strcpy (TIOSname + 1, namestr) + strlen (namestr),FALSE);	// goes in the selected folder as main folder

	if (error == FALSE)
			printf ("%s\n","invalid folder name");
	error = 0;
}

if (strstr (command,"md ") != 0)			// command to make folders
{
	namestr = strstr (command," ") + 1;
	FolderAdd (strcpy (TIOSname + 1, namestr) + strlen (namestr));		// make the folder
	error = 0;
}

if (strstr (command,"rd ") != 0)			// deletes empty directory
{
	namestr = strstr (command," ") + 1;					// I had to use an unknown function
	TRY								// i also had to handle the error using the TRY macro
		cmd_delfold (strcpy (TIOSname + 1, namestr) + strlen (namestr));	// the Ti-basic function to del the folder
	ONERR
	ENDTRY 
	error = 0;
}

if (strstr (command,"deltree ") != 0)		// deletes folder content and folder
{
	namestr = strstr (command," ") + 1;
	FolderDel (strcpy (TIOSname + 1, namestr) + strlen (namestr));			// first deletes the folder content
	TRY
		cmd_delfold (strcpy (TIOSname + 1, namestr) + strlen (namestr));	// the deletes the folder
	ONERR
	ENDTRY 
	error = 0;
}

if (strstr (command,"del ") != 0)			// deletes a var
{
	namestr = strstr (command," ") + 1;
	error = SymDel (strcpy (TIOSname + 1, namestr) + strlen (namestr));		// delete function
	if (error == FALSE)
		printf ("%s\n","invalid file name");
	error = 0;
}

if (strcmp (command,"help") == 0)		// help command
{
	printf ("%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n%s\n","List of Ti-Dos functions:","cls","exit","off","dir","cd <repertory>","md <repertory>","rd <repertory>","del <file>","deltree <repertory>");
	error = 0;
}

if (error == 1)				// if a wrong unknown command was entered then
	printf ("%s\n","incorrect command");